<ion-content   *ngIf="type === 'station'" (click)="gotodetail(stations?.id)">
  <div class="contentspace" >
    <p>{{stations?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==1 && stations?.essence.statut==1" ></ion-icon>
    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==0 && stations?.essence.statut==0" color="danger"></ion-icon>
    <ion-icon name="ellipse" *ngIf="stations?.gazoil.statut ==0 || stations?.essence.statut==0" color="warning"></ion-icon>

  </div>
</ion-content>
<ion-content  *ngIf="type === 'pharmacie'" (click)="gotodetail(pharmacies?.id)" >
  <div class="contentspace">
    <p>{{pharmacies?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="pharmacies?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="pharmacies?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
<ion-content  *ngIf="type === 'hopital'" (click)="gotodetail(hopitals?.id)" >
  <div class="contentspace">
    <p>{{hopitals?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="hopitals?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="hopitals?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
  <ion-content  *ngIf="type === 'gendarmerie'" (click)="gotodetail(gendarmeries?.id)" >
  <div class="contentspace">
    <p>{{gendarmeries?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="gendarmeries?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="gendarmeries?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
<ion-content  *ngIf="type === 'vulcanisateur'" (click)="gotodetail(vulcanisateurs?.id)" >
  <div class="contentspace">
    <p>{{vulcanisateurs?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="vulcanisateurs?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="vulcanisateurs?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
<ion-content  *ngIf="type === 'orange'" (click)="gotodetail(oranges?.id)" >
  <div class="contentspace">
    <p>{{oranges?.nom}}</p>
    <ion-icon name="ellipse" *ngIf="pharmacies?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="pharmacies?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
<ion-content  *ngIf="type === 'arret'" (click)="infopoparret(arrets?.id, 'arret2')" >
  <div class="contentspace">
    <p style="text-align: center;">{{arrets?.nom}}</p>
    </div>
  <div>
    <p class="ppopup"   *ngFor="let line of lines"><span style="background: #2dd36f;color:#ffffff;padding: 10px">{{line?.nom}}</span> <span>{{line?.depart.nom}}
      <br>{{line?.arrive.nom}}</span> <span style=" border: 1px solid;   border-radius: 20px;
    padding: 7px;line-height: 200%  ;">{{line?.typeTransport.nom}}</span>  </p>

  </div>
</ion-content>
<ion-content  *ngIf="type === 'arret2'"  >
  <div >
    <p style="text-align: center;width:50vw;height:8vh;flex-direction: column; flex-wrap: wrap;justify-content: center;border: 1px solid;margin:1vh auto;    display: flex;"><span>{{arrets?.nom}}</span></p>
    </div>
  <div>
    <p style="color: #05cd1f;text-align: center;width:50vw;height:8vh;flex-direction: column; flex-wrap: wrap;justify-content: center;border: 1px solid;margin:1vh auto;    display: flex;"  *ngFor="let line of lines" (click)="gotodetail(line?.id)"><span >{{line?.nom}}</span></p>
  </div>
</ion-content>
<ion-content *ngIf="type === 'signalisation'" (click)="gotodetail(signalisations?.id)" >
  <div class="contentspace">
    <p>{{signalisations?.motif}}</p>
    <ion-icon name="ellipse" *ngIf="signalisations?.statut ==true"></ion-icon>
    <ion-icon name="ellipse" *ngIf="signalisations?.statut ==false" color="danger"></ion-icon>
    <ion-icon name="ellipse" *ngIf="signalisations?.statut ==false" color="danger"></ion-icon>
    <ion-icon name="ellipse" *ngIf="signalisations?.statut ==false" color="danger"></ion-icon>
  </div>
</ion-content>
<ion-content  *ngIf="type === 'mecanicien'" (click)="gotodetail(mecaniciens?.id)" >

  <div class="contentspace">
    <p >{{mecaniciens?.prenom}} {{mecaniciens?.nom}}</p>
    <p >{{mecaniciens?.type}}</p>

<!--    <ionic5-star-rating activeIcon = "star" defaultIcon = "star-outline" activeColor = "#ffff00"-->
<!--                        defaultColor = "#ffff00" readonly="true"  [(ngModel)]="starRating" fontSize = "20px">-->
<!--    </ionic5-star-rating >-->
    <p style="display: flex;align-items: center;" *ngIf="mecaniciens?.certification == 1"> Numéro vérifié <ion-icon style="position: relative;bottom: 0; right: 0; font-size: 1.9rem;" name="help-circle-outline" color="danger"></ion-icon> </p>
    <p *ngIf="mecaniciens?.certification == 2">Vérifié <img src="../../assets/certif.png"> </p>
  </div>
</ion-content>

  <ion-icon name="close-outline" style="position: absolute; top: 5%; right: 2%; font-size: 1.9rem; color: #858485;" (click)="dismiss()"></ion-icon>
